# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

%define _name 			gst-plugins-good
%define gst_branch		0.10

%define _localstatedir	/var%{_prefix}

Name:           gstreamer-0_10-plugins-good
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
License:        LGPL
Version:        0.10.22
Release:        9993.10
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-good/%{_name}-%{version}.tar.bz2
Source90:       %{_name}-rpmlintrc
Patch0:		gst-plugins-good-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(pre):  filesystem /usr/bin/gconftool-2 coreutils
%gconf_schemas_prereq
Requires:       gstreamer-0_10 >= 0.10.29
Requires:       gstreamer-0_10-plugins-base >= 0.10.29
Requires:       %{name}-lang = %{version}
Requires:       gconf2
Requires:       ladspa
Requires:       speex
BuildRequires:  aalib-devel aalib
BuildRequires:  arts-devel
BuildRequires:  cairo-devel
BuildRequires:  esound-devel
BuildRequires:  flac-devel
BuildRequires:  freeglut-devel
BuildRequires:  gamin-devel
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel >= 2.18
BuildRequires:  gconf2-devel
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtkdoc
BuildRequires:  hal-devel >= 0.5.6
BuildRequires:  ladspa
BuildRequires:  libavc1394-devel
BuildRequires:  libcaca-devel
BuildRequires:  libdv-devel libdv
BuildRequires:  libiec61883-devel
BuildRequires:  libjack-devel
BuildRequires:  libjpeg-devel
BuildRequires:  liboil-devel
BuildRequires:  libpulse-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libshout-devel
BuildRequires:  libsoup-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libv4l-devel
BuildRequires:  wavpack-devel
BuildRequires:  pcre-devel
BuildRequires:  pyxml
BuildRequires:  sgml-skel
BuildRequires:  slang-devel
BuildRequires:  speex-devel
BuildRequires:  libtag-devel libtag1
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
Enhances:       gstreamer-0_10
# Name up to 10.3:
Provides:       gstreamer010-plugins-good = %{version}
Obsoletes:      gstreamer010-plugins-good < %{version}

%description
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture
means that new data types or processing capabilities can be added
simply by installing new plug-ins.

%package doc
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture
means that new data types or processing capabilities can be added
simply by installing new plug-ins.

%package extra
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Enhances:       gstreamer-0_10

%description extra
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture
means that new data types or processing capabilities can be added
simply by installing new plug-ins.


%lang_package

%prep
%setup -q -n %{_name}-%{version}
%patch0
#NOCONFIGURE=1 ./autogen.sh
%{?suse_update_config:%{suse_update_config}}

%build
export LIBPNG_CFLAGS="`pkg-config --cflags libpng`"
export LIBPNG_LIBS="`pkg-config --libs libpng`"
export CFLAGS="$RPM_OPT_FLAGS"
%configure \
    --with-package-name='Packman gstreamer-plugins-good package' \
    --with-package-origin='http://packman.links2linux.de/' \
    --localstatedir=%{_localstatedir} \
    --enable-gtk-doc \
    --enable-dependency-tracking \
    --enable-experimental

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

%__rm "%{buildroot}%{_libdir}/gstreamer-%{gst_branch}"/*.la

%find_gconf_schemas

%find_lang "%{_name}-%{gst_branch}"

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%pre -f %{name}.schemas_pre
%preun -f %{name}.schemas_preun
%posttrans -f %{name}.schemas_posttrans

%files -f %{name}.schemas_list
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README RELEASE REQUIREMENTS
%dir %{_datadir}/gstreamer-%{gst_branch}
%dir %{_datadir}/gstreamer-%{gst_branch}/presets
%{_datadir}/gstreamer-%{gst_branch}/presets/GstIirEqualizer10Bands.prs
%{_datadir}/gstreamer-%{gst_branch}/presets/GstIirEqualizer3Bands.prs
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/libgstannodex.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalaw.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalpha.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalphacolor.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiofx.so
%{_libdir}/gstreamer-%{gst_branch}/libgstapetag.so
%{_libdir}/gstreamer-%{gst_branch}/libgstauparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstautodetect.so
%{_libdir}/gstreamer-%{gst_branch}/libgstavi.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcacasink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcairo.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcutter.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdebug.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstefence.so
%{_libdir}/gstreamer-%{gst_branch}/libgsteffectv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstequalizer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstesd.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflxdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgamma.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgconfelements.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgoom.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgoom2k1.so
%{_libdir}/gstreamer-%{gst_branch}/libgsthalelements.so
%{_libdir}/gstreamer-%{gst_branch}/libgsticydemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstid3demux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstinterleave.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjpeg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlevel.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmatroska.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmulaw.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmultifile.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmultipart.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{gst_branch}/libgstossaudio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpng.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpulse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstqtdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstreplaygain.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtsp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshapewipe.so
%if %suse_version > 1110 || 0%{?sles_version} >= 11
%{_libdir}/gstreamer-%{gst_branch}/libgstsouphttpsrc.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstspectrum.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttaglib.so
%{_libdir}/gstreamer-%{gst_branch}/libgstudp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideobalance.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideocrop.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoflip.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideomixer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavpack.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstximagesrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgsty4menc.so

%files extra
%defattr(-, root, root)
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/libgst1394.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaasink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshout2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsmpte.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspeex.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideobox.so
# experimental
%{_libdir}/gstreamer-%{gst_branch}/libgstmonoscope.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideo4linux2.so

%files doc
%defattr(-, root, root)
%{_prefix}/share/gtk-doc/html/gst-plugins-good-plugins-%{gst_branch}

%files lang -f %{_name}-%{gst_branch}.lang

%changelog
* Thu Apr 29 2010 toni@links2linux.de
- update to 0.10.22 "Square One"
  * alpha: add support for different color matrixes
  * alpha: add support for generating ARGB output
  * alpha: add support for ARGB, RGB and xRGB input
  * alphacolor: support inplace and on-the-fly conversions from AYUV to ARGB
  * alphacolor: Implement color-matrix support and use integer arithmetic only
  * videobox: add support for most common RGB(A), (A)YUV, and grayscale formats
  * videobox: add support for on-the-fly conversions for some formats
  * videobox: add support for filling the background with red, yellow and white
  * videobox: add support for YV12, including conversion support for I420/AYUV
  * videomixer: add support for ABGR and RGBA
  * shapewipe: add support for the remaining ARGB formats
  * qtdemux, matroska: export h.264 profile and level in caps
  * multifilesink: Add key-frame option to next-file
  * directsoundsink: Implement SPDIF support for AC3
  * h264depay: handle STAPs properly
  * speexdec: adapt to new oggdemux
  * flvdemux: mark delta frames properly
  * flvdemux: improve index building and scaning in pull mode
  * flvdemux: add support for backwards playback (when operating in pull mode)
  * avidemux: fix offset handling in push mode seeking
  * matroskademux: prefer index of video track to perform seeking
  * matroskademux: add support for backwards playback (when operating in pull mode)
  * matroskademux: push correctly sized flac header buffers
  * matroskademux: restrict resyncing to subtitle tracks
  * rtpsession: Make it possible to favor new sources in case of SSRC conflict
  * rtspsrc: send keep alive when paused
  * rtspsrc: handle ipv6 listening ports when needed
  * rtspsrc: require a destination for multicast
  * rtspsrc: parse connection information
  * qtdemux: Set stream-format=raw on AAC caps
  * qtdemux: add XMP parsing support
  * qtdemux: Read replaygain peak/gain tags
  * qtdemux: extract stream language in more cases
  * id3demux: fix parsing of unsynced frames with data length indicator
  * jpegdec: don't crash if jpeg image contains more than three components
  * ximagesrc: send new segment event in TIME format
  * mp4gdepay: improve constantDuration guessing
  * h264pay: fix config-interval property
  * rtspsrc: add property to control the buffering method
  * png: make work with libpng 1.4
* Tue Mar  9 2010 toni@links2linux.de
- update to 0.10.21 "Lemons"
  * Fixes for RTP h263 depayloader timestamping regressions that broke video calls
  * Fixes for FLAC decoder when FLAC is embedded in a container such as Ogg or Matroska
  * rtpsource: bitrate estimation improvements
  * rtspsrc, udp: multicast fixes
  * identical to 0.10.20 but with one commit that broke make check reverted
* Mon Mar  8 2010 toni@links2linux.de
- update to 0.10.19 "Closer to the Edit"
  * shapewipe: moved from -bad to -good
  * avidemux: push mode seeking support
  * avidemux: drop video frames up to the desired keyframe after a seek
  * configure: cross-compilation fixes (use $PKG_CONFIG instead of pkg-config)
  * dvdepay: don't output frames until we have a header, fixes crash
  * flacdec: fix tag extraction in push mode
  * flvdemux: obtain the index from the end of an flv file in push mode
  * flvdemux: audio tags without any content are valid; indexing improvements
  * jpegdec: fix invalid memory access in parser
  * jitterbuffer: new buffering modes: low/high watermark buffering, rtp timestamps
  * matroskademux: seeking/segment fixes (esp. regression with gnonlin)
  * matroskademux: subtitle stream improvements (advance sparse streams in smaller steps)
  * multipartdemux: improve header mime-type parsing
  * qtdemux: fix ALAC codec-data handling; handle signed values in 3GPP location tag
  * qtdemux: fix frame rate cap regression; fix sample durations corner-case
  * qtdemux: Use the correct duration when comparing segments
  * pulsesink: avoid segfault when shutting down
  * pulsesink: return previous mute state if sink is not active at the moment
  * rtpbin: change how NTP time is calculated in RTCP, generating more accurate NTP timestamps if the system clock is synchronised with NTP or similar
  * rtpmp4gdepay: avoid division by 0 in corner case
  * v4l2sink: change rank to NONE so we don't try to autoplug it
  * videomixer: fix timestamping problems for input streams with different lengths
  * videomixer: fix problem when used with gnonlin (always send FLUSH_STOP)
* Thu Feb 11 2010 toni@links2linux.de
- update to 0.10.18 "Short Circuit"
  * v4l2src: implement GstURIHandler interface
  * matroskamux: make index size configurable
  * matroskademux: support push based mode
  * matroskademux: improve stream synchronization
  * flacdec: fix possible hanging in pull mode seeking
  * flacdec: use a single decoder field for both push and pull mode
  * flacenc: optionally add a seek table
  * rtp: add BroadcomVoice payloader and depayloader
  * rtp: add G.723 payloader and depayloader
  * rtph264pay: add option to insert PPS/SPS in streams
  * rtph264depay: optionally merge NALUs into Access Units
  * rtspsrc: add user-id and user-pw properties; fix major memory leak
  * avimux: many fixes, also better compatibility with Windows Media Player
  * avidemux: per-stream index parsing (= much faster startup)
  * qtdemux: progressive download support / seeking in push mode
  * qtdemux: per sample parsing (= much faster start up)
  * wavenc: Post warning if file hasn't been finalised properly
  * videomixer: MMX optimisations and other improvements; implement basic QoS
  * matroska, qtdemux, id3demux: fix language code writing and extraction
* Tue Nov 17 2009 toni@links2linux.de
- removed all tage for openSUSE <= 1030
- update to 0.10.17 "They used to sparkle"
  * RTP improvements
  * Support automatic cropping in videobox
  * Add TTL multicast UDP property
  * AVI demux push mode fixes and performance improvements
  * Support large and unusual chunks sizes in wav
  * Quicktime demuxer improvements
  * JPEG decode fixes and speedups
  * Support interlaced Y4M file output
  * DV demuxer improvements
  * Pulseaudio fixes and improvements
  * Support Pulseaudio PLAY/PAUSE requests
  * speexdec improvements
  * FLV demuxer improvements
  * Fix audio noise in the Equalizer plugin, and other improvements
  * Fix compilation on OS/X Snow Leopard
  * AVI muxer fixes
  * Support MPEG V4L2 devices and improve timestamping
  * Better jpeg2k support
  * Many other bug fixes and improvements
* Sat Oct 24 2009 toni@links2linux.de
- update to 0.10.16
  * Moved rtpmanager from -bad to -good
  * Implement SEEKING query in more demuxers and decoders (notably mkv, flv, flac)
  * avimux: adds support to WMA/WMV
  * cairo: Add cairo-based PDF/PS/SVG encoder element (cairorender)
  * dv1394src: fix element for live usage
  * effectv: new elements: rippletv, streaktv, radioactv, optv
  * flacdec: fix intermittent FLAC__STREAM_DECODER_ABORTED errors when seeking
  * flacenc: fix issue with broken duration / sample count into flac header in some cases
  * flvmux: lots of fixes and improvements
  * id3demux: fix parsing of unsync'ed ID3 v2.4 tags and frames
  * matroska: add kate subtitle support, add/improve WMA/WMV handling and read bluray PGS subpicture streams
  * multipartdemux: support more mime types, do proper flow aggregation
  * pulsesrc: cleanups, report real latency, set the default slave method to skew
  * qtdemux: support for agsm, misc. tag reading fixes
  * rtp: new QDM2 and CELT depayloaders; fix SVQ3 depayloader and make it autopluggable
  * souphttpsrc: Only assume seekability if the server provides Content-Length
  * v4l2: add v4l2sink element, open device in NULL->READY, optional gudev support
  * v4l2src: fix 'hang' with some cameras caused by bad timestamping if no framerate is available
  * videomixer: add RGB format support; fix I420 blending
* Sun May 24 2009 toni@links2linux.de
- update to 0.10.15
  * Some fixes for seeking in wav and FLAC files
  * Faster seeking in Matroska and AVI files
  * RTSP and RTP improvements
  * directdrawsink moved to Bad
  * y4menc and flvmux/flvdemux moved from Bad
  * deinterlace2 moved from Bad, replacing deinterlace
  * Pulseaudio sink completely overhauled
  * Many bug fixes and improvements
* Fri Feb 20 2009 toni@links2linux.de
- update to 0.10.14
- added gconf2 macros from /etc/rpm/macros.gconf2
* Fri Jan 23 2009 toni@links2linux.de
- update to 0.10.13
* Wed Nov 19 2008 toni@links2linux.de
- removed libgstdv.so in gstreamer-0_10-plugins-good (already in extra)
- moved libgstaasink.so to extra (to follow official SuSE package)
* Sun Sep 14 2008 toni@links2linux.de
- removed libgstladspa.so as it is also in plugins-bad
* Fri Sep 12 2008 toni@links2linux.de
- update to 0.10.10
- moved libcdio cddasrc element to ugly (GPL license)
- moved libgstreplaigain.so and libgstinterleave.so from bad
- new plugins libgstpulse.so
- disabled libgsttaglib.so for openSuSE 10.3 (compile error)
- fixed ladspa-plugin
* Mon Apr 28 2008 toni@links2linux.de
- update to 0.10.8
- new plugins libgstgoom2k1.so
- moved libgstsouphttpsrc.so from bad
* Fri Apr 25 2008 toni@links2linux.de
- changed package layout similar to openSuSE-11.0
* Sat Feb 23 2008 toni@links2linux.de
- update to 0.10.7
- new plugins libgstequalizer.so, libgstmultifile.so, libgstspectrum.so
* Thu Dec 13 2007 toni@links2linux.de
- fixed schema install for openSUSE-10.3
* Fri Oct 26 2007 toni@links2linux.de
- added gconf2 to Requires
- enabled --enable-experimental
* Sat Oct  6 2007 toni@links2linux.de
- rebuild with bumped release-number to avoid conflicts with openSUSE-10.3
* Sun Sep  9 2007 toni@links2linux.de
- openSUSE-10.3 build: _prefix=/usr
- corrected %%%%post
* Tue Jun 19 2007 toni@links2linux.de
- update to 0.10.6
- New plugins - audiopanorama, audioinvert, audiodynamic, audioamplify
- qtdemux, videocrop and wavpack elements moved from gstreamer010-plugins-bad
* Wed May 16 2007 toni@links2linux.de
- added libgst1394.so on SuSE-10.2
* Thu Dec 28 2006 toni@links2linux.de
- build SuSE-10.2
- libiec61883 is missing on packman
* Thu Dec 21 2006 toni@links2linux.de
- update to 0.10.5
* Fri Dec  8 2006 toni@links2linux.de
- update to 0.10.4.1
- rebuild with new gstreamer010
* Fri Nov 24 2006 toni@links2linux.de
- build for packman
- Updated to version 0.10.4
- spec-file based on SuSE-spec Tue Jun 20 2006 - sbrabec@suse.cz
